Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface MailServiceMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface MailServiceMBean
extends ServiceConfigurationMBean

MailService configuration management bean interfaces.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `getEnableOrderByWorkaroundForClobs()` Get if 2 statements are used when retrieving email bodies.
`String` | `getSMTPHost()` Get the SMTP host to use.
`void` | `setEnableOrderByWorkaroundForClobs(boolean enable)` Set this to true use 2 statements when retrieving email bodies.
`void` | `setSMTPHost(String host)` Set the SMTP host to use.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSMTPHost

    public String getSMTPHost()

  Get the SMTP host to use.

  MBean Attribute Old Property Name:
    mail.smptHost

### setSMTPHost

    public void setSMTPHost(String host)

  Set the SMTP host to use.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    mail.smptHost
  MBean Attribute Legal Null:
    false

### getEnableOrderByWorkaroundForClobs

    public boolean getEnableOrderByWorkaroundForClobs()

  Get if 2 statements are used when retrieving email bodies.

  Normally, a SQL UNION statement is used with the email body clob field in the in the select. However, from CR123457, Sybase does not allow a TEXT (a.k.a CLOB) field in a SELECT statement that is used with a UNION or an ORDER BY clause, which the MailService does when retrieving email bodies for view and/or sending (generally via the MailManager command-line tool).

  This does not affect in-request, runtime operations such as adding emails to a batch or generating email bodies from web resources.

### setEnableOrderByWorkaroundForClobs

    public void setEnableOrderByWorkaroundForClobs(boolean enable)

  Set this to true use 2 statements when retrieving email bodies.

  It defaults to false, which works for all currently supported databases except Sybase.

  See Also:
    `getEnableOrderByWorkaroundForClobs()`
  MBean Attribute Default Value:
    false
  MBean Dynamic Method
  MBean Attribute Legal Null:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved